curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/acp/orders' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orderId": "string",
"orderNumber": "ORD-10042",
"source": "string",
"customer": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "ada.lovelace@example.com",
"firstName": "Ada",
"lastName": "Lovelace",
"phone": "+1 415 555 0142",
"netsuiteId": "string"
},
"shippingAddress": {
"name": "Two-Person Tent",
"company": "Acme Outdoors",
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postalCode": "94107",
"countryCode": "US",
"phone": "+1 415 555 0142"
},
"billingAddress": {
"name": "Two-Person Tent",
"company": "Acme Outdoors",
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postalCode": "94107",
"countryCode": "US",
"phone": "+1 415 555 0142"
},
"lineItems": [
{
"sku": "SKU-TENT-2P-GRN",
"title": "Replacement tent pole set",
"quantity": 2,
"price": 49,
"variantId": "string",
"netsuiteItemId": "string",
"weight": 1.2
}
],
"createdAt": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"shippingMethod": "ground",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"routing": {
"sendToFulfillment": true,
"sendToErp": true,
"createInStateset": true,
"fulfillmentProvider": "string",
"dclLocation": "string"
},
"metadata": {}
}'
{
"accepted": true,
"statesetOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"fulfillment": {
"provider": "string",
"success": true,
"error": "string",
"externalId": "string"
},
"erp": {
"provider": "string",
"success": true,
"error": "string",
"netsuiteId": "string",
"tranId": "string"
},
"warnings": [
"string"
],
"requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Process an ACP order - creates in StateSet and routes to fulfillment/ERP
ACP order accepted and routed
POST
/
v1
/
tenants
/
{tenant_id}
/
acp
/
orders
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/acp/orders' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orderId": "string",
"orderNumber": "ORD-10042",
"source": "string",
"customer": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "ada.lovelace@example.com",
"firstName": "Ada",
"lastName": "Lovelace",
"phone": "+1 415 555 0142",
"netsuiteId": "string"
},
"shippingAddress": {
"name": "Two-Person Tent",
"company": "Acme Outdoors",
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postalCode": "94107",
"countryCode": "US",
"phone": "+1 415 555 0142"
},
"billingAddress": {
"name": "Two-Person Tent",
"company": "Acme Outdoors",
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postalCode": "94107",
"countryCode": "US",
"phone": "+1 415 555 0142"
},
"lineItems": [
{
"sku": "SKU-TENT-2P-GRN",
"title": "Replacement tent pole set",
"quantity": 2,
"price": 49,
"variantId": "string",
"netsuiteItemId": "string",
"weight": 1.2
}
],
"createdAt": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"shippingMethod": "ground",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"routing": {
"sendToFulfillment": true,
"sendToErp": true,
"createInStateset": true,
"fulfillmentProvider": "string",
"dclLocation": "string"
},
"metadata": {}
}'
{
"accepted": true,
"statesetOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"fulfillment": {
"provider": "string",
"success": true,
"error": "string",
"externalId": "string"
},
"erp": {
"provider": "string",
"success": true,
"error": "string",
"netsuiteId": "string",
"tranId": "string"
},
"warnings": [
"string"
],
"requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Tenant identifier
Request body
object
string
required
Unique order identifier from the source system
string
required
Order number for display
string
Source system identifier (e.g., ‘shopify’, ‘manual’, ‘agent’). Default
agentobject
required
object
required
object
object[]
required
Order line items
string (date-time)
Order creation timestamp (defaults to now)
string[]
Order tags for categorization
string
Shipping method
string
Special instructions or notes
object
Routing configuration - which systems to send the order to
object
Additional metadata
Response
object
boolean
required
Whether the order was accepted
string (uuid)
StateSet order ID (if created)
object
object
string[]
Any warnings or non-fatal issues (omitted when empty)
string (uuid)
required
Request ID for tracing
Status codes
| Code | Meaning |
|---|---|
201 | ACP order accepted and routed |
401 | Unauthorized |
422 | Validation error |
424 | Required integration not configured |
502 | Downstream service error |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/acp/orders' \
--header 'x-stateset-api-key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"orderId": "string",
"orderNumber": "ORD-10042",
"source": "string",
"customer": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "ada.lovelace@example.com",
"firstName": "Ada",
"lastName": "Lovelace",
"phone": "+1 415 555 0142",
"netsuiteId": "string"
},
"shippingAddress": {
"name": "Two-Person Tent",
"company": "Acme Outdoors",
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postalCode": "94107",
"countryCode": "US",
"phone": "+1 415 555 0142"
},
"billingAddress": {
"name": "Two-Person Tent",
"company": "Acme Outdoors",
"address1": "548 Market St",
"address2": "Suite 400",
"city": "San Francisco",
"state": "CA",
"postalCode": "94107",
"countryCode": "US",
"phone": "+1 415 555 0142"
},
"lineItems": [
{
"sku": "SKU-TENT-2P-GRN",
"title": "Replacement tent pole set",
"quantity": 2,
"price": 49,
"variantId": "string",
"netsuiteItemId": "string",
"weight": 1.2
}
],
"createdAt": "2026-08-31T14:22:05Z",
"tags": [
"priority"
],
"shippingMethod": "ground",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"routing": {
"sendToFulfillment": true,
"sendToErp": true,
"createInStateset": true,
"fulfillmentProvider": "string",
"dclLocation": "string"
},
"metadata": {}
}'
{
"accepted": true,
"statesetOrderId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"fulfillment": {
"provider": "string",
"success": true,
"error": "string",
"externalId": "string"
},
"erp": {
"provider": "string",
"success": true,
"error": "string",
"netsuiteId": "string",
"tranId": "string"
},
"warnings": [
"string"
],
"requestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}